Subject: RE: lesstif 0.79
From: [email-masked] (Sergey Okhapkin)

5 Aug 1997 21:54:01 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BCA241.62126D40.cygnus.gnu-win32@sos>
Original-To: Lists - Cygnus GNU Win32 <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>
Encoding: 21 TEXT
Original-Sender: [email-masked]

Jeffery G. Smith wrote:
> byacc accepts the .y file fine but then gcc barfs with
> 
> gcc  -I. -I../../../include -I./../../../include/Motif-1.2
> -I./../../../lib/Mrm
> 	-I/usr/local/gnuwin32/X11R6.3/include
> 	-g -DLESSTIF_VERBOSE  -Wall -ansi -pedantic -c -o uilparse.o uilparse.c
> y.tab.c: In function `yymalloc':
> y.tab.c:534: warning: implicit declaration of function `malloc'
> y.tab.c: In function `yyrealloc':
> y.tab.c:543: warning: implicit declaration of function `realloc'
> y.tab.c: At top level:
> y.tab.c:553: syntax error before `yygrow'
> y.tab.c:559: syntax error before `if'

Gcc complains about "inline" keyword. Remove it, or remove -ansi and -pedantic command line options.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".